//
//  OpenPlatformActionDataControl.m
//  OpenSDKDemo_Example
//
//  Created by Jiny.du on 2019/7/22.
//  Copyright © 2019 bytedance.co All rights reserved.
//

#import "OpenPlatformActionDataControl.h"
#import "OpenPlatformSession.h"

@interface OpenPlatformActionDataControl()

@property (nonatomic, assign, readwrite) NSInteger type;
@property (nonatomic, copy, readwrite) NSArray <OpenPlatformSession *> *sessions;
@property (nonatomic, strong) OpenPlatformSession *baseInfoSession;

@end
@implementation OpenPlatformActionDataControl
- (instancetype) initWithAppType:(NSInteger)type
{
    self = [super init];
    if (self) {
        _type = type;
        self.sessions = @[self.baseInfoSession];
    }
    return self;
}

- (OpenPlatformSession *)baseInfoSession
{
    if (!_baseInfoSession) {
            _baseInfoSession = [[OpenPlatformSession alloc] init];
            _baseInfoSession.sessionTitle = @"Base App Info";
            _baseInfoSession.sessionDesc  = @"";
        
        NSMutableArray *m_arr = [NSMutableArray array];
        NSString *bundleID = [NSBundle mainBundle].bundleIdentifier;
        OpenPlatformDataItem *item0 = [OpenPlatformDataItem itemForTwoLabelWithTitle:@"BundleID" descString:bundleID context:nil eventHandler:nil];
        [m_arr addObject:item0];
        
        NSString *clientKey = [[DouyinOpenSDKApplicationDelegate sharedInstance] appId];
        OpenPlatformDataItem *item = [OpenPlatformDataItem itemForTwoLabelWithTitle:@"ClientKey" descString:clientKey context:nil eventHandler:nil];
        [m_arr addObject:item];
        
        BOOL isAppInstall = [[DouyinOpenSDKApplicationDelegate sharedInstance] isAppInstalled];
        OpenPlatformDataItem *item1 = [OpenPlatformDataItem itemForTwoLabelWithTitle:@"Target app Installed" descString:isAppInstall?@"YES":@"NO" context:nil eventHandler:nil];
        [m_arr addObject:item1];
        
        _baseInfoSession.items = m_arr.copy;
    }
    return _baseInfoSession;
}
@end
