//
//  OpenPlatformActionView.m
//  OpenSDKDemo_Example
//
//  Created by Jiny.du on 2019/7/22.
//  Copyright © 2019 bytedance.co All rights reserved.
//

#import "OpenPlatformActionView.h"
#import "OpenPlatformUIDefine.h"

@interface OpenPlatformActionView()

@end

@implementation OpenPlatformActionView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [self commonInit];
    }
    return self;
}

- (void) commonInit
{
    self.leftButton = [UIButton buttonWithType:UIButtonTypeCustom];
    self.rightButton = [UIButton buttonWithType:UIButtonTypeCustom];
    [self.leftButton setTitle:@"Auth" forState:UIControlStateNormal];
    [self.rightButton setTitle:@"Share" forState:UIControlStateNormal];
    self.rightButton.layer.borderColor = [UIColor demo_colorWithHex:@"#3f3f3f"].CGColor;

    self.rightButton.layer.cornerRadius = 6;
    self.leftButton.layer.cornerRadius = 6;
    self.rightButton.clipsToBounds = YES;
    self.leftButton.clipsToBounds = YES;
    
    
    [self.rightButton setBackgroundImage:[YAMRedThemeColor imageWithColor] forState:UIControlStateNormal];
    [self.leftButton setBackgroundImage:[[UIColor whiteColor] imageWithColor] forState:UIControlStateNormal];
    [self.leftButton setTitleColor:YAMTextDarkColor forState:UIControlStateNormal];
    [self.rightButton setBackgroundColor:[UIColor whiteColor]];
    [self addSubview:self.leftButton];
    [self addSubview:self.rightButton];
    
}

- (void)layoutSubviews
{
    [super layoutSubviews];
    self.leftButton.height = 40;
    self.rightButton.height = 40;
    CGFloat buttonWidth = (self.width - 20 - 20)/2;
    self.rightButton.width = buttonWidth;
    self.leftButton.width = buttonWidth;
    
    self.rightButton.centerY = self.height/2;
    self.leftButton.centerY = self.height/2;
    self.leftButton.x = 10;
    self.rightButton.maxX = self.width - 10;
    
}
@end
