//
//  AppDelegate.m
//  OpenSDKDemo
//
//  Created by Jiny.du on 2019/9/17.
//  Copyright © 2019 bytedance.co. All rights reserved.
//

#import "AppDelegate.h"
#import "OpenPlatformViewController.h"
@interface AppDelegate () <DouyinOpenSDKLogDelegate>

@end

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    [[DouyinOpenSDKApplicationDelegate sharedInstance] application:application didFinishLaunchingWithOptions:launchOptions];

    [DouyinOpenSDKApplicationDelegate sharedInstance].logDelegate = self;
    self.window = [[UIWindow alloc] init];
    [self.window makeKeyAndVisible];
    //
    
    UIStoryboard *sb = [UIStoryboard storyboardWithName:@"OpenPlatformViewController" bundle:nil];
    
    OpenPlatformViewController *vc = [sb instantiateViewControllerWithIdentifier:@"OpenPlatformViewController"];
    
    UINavigationController *navi = [[UINavigationController alloc] initWithRootViewController:vc];
    self.window.rootViewController = navi;
    
    return YES;
}

- (BOOL)application:(UIApplication *)application openURL:(nonnull NSURL *)url options:(nonnull NSDictionary<UIApplicationOpenURLOptionsKey,id> *)options {
    
    if ([[DouyinOpenSDKApplicationDelegate sharedInstance] application:application openURL:url sourceApplication:options[UIApplicationOpenURLOptionsSourceApplicationKey] annotation:options[UIApplicationOpenURLOptionsAnnotationKey]]
        ) {
        return YES;
    }
    
    return NO;
}

- (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation
{
    
    if ([[DouyinOpenSDKApplicationDelegate sharedInstance] application:application openURL:url sourceApplication:sourceApplication annotation:annotation]) {
        return YES;
    }
    
    return NO;
}

- (void)onLog:(NSString *) logInfo
{
    NSLog(@"%@", logInfo);
}

@end
