

#import "UIColor+Addition.h"
#import <QuartzCore/QuartzCore.h>

@implementation UIColor (Addition)
+ (UIColor *)demo_colorWithHex:(NSString *)hex
{
    return [self demo_colorWithHex:hex alpha:1.0];
}

+ (UIColor *)demo_colorWithHex:(NSString *)hex alpha:(CGFloat) alpha
{
    unsigned rgbValue = 0;
    NSScanner *scanner = [NSScanner scannerWithString:hex];
    NSUInteger scanLocation = 0;
    if ( [hex rangeOfString:@"#"].location == 0 ) {scanLocation = 1;}
    
    [scanner setScanLocation:scanLocation]; // bypass '#' character
    if (![scanner scanHexInt:&rgbValue]) {
        return nil;
    }
    return [UIColor colorWithRed:((rgbValue & 0xFF0000) >> 16)/255.0
                           green:((rgbValue & 0xFF00) >> 8)/255.0
                            blue:(rgbValue & 0xFF)/255.0 alpha:alpha];
}

- (UIImage *)imageWithColor
{
    CGRect rect = CGRectMake(0, 0, 1, 1);
    UIGraphicsBeginImageContext(rect.size);
    CGContextRef context = UIGraphicsGetCurrentContext();
    CGContextSetFillColorWithColor(context, [self CGColor]);
    CGContextFillRect(context, rect);
    UIImage *img = UIGraphicsGetImageFromCurrentImageContext();
    UIGraphicsEndImageContext();
    return img;
}
@end
