//
//  OpenPlatformSectionHeader.m
//  OpenSDKDemo
//
//  Created by Jiny.du on 2018/12/9.
//

#import "OpenPlatformSectionHeaderView.h"
#import "OpenPlatformSession.h"
#import "UIView+Addition.h"
#import "OpenPlatformUIDefine.h"


@interface OpenPlatformSectionHeaderView ()
@property (nonatomic, strong) UILabel *titleDisplayLabel;
@property (nonatomic, strong) UILabel *descLabel;
@property (nonatomic, strong) OpenPlatformSession *session;
@end

@implementation OpenPlatformSectionHeaderView

- (instancetype)init
{
    self = [super init];
    if (self) {
        [self commonInit];
    }
    return self;
}

- (void)commonInit
{
    self.backgroundColor = [UIColor whiteColor];
    self.titleDisplayLabel = [[UILabel alloc] init];
    self.titleDisplayLabel.textColor = YAMTextDarkColor;
    self.titleDisplayLabel.font = YAMFontMenloWithSize(18);
    [self addSubview:self.titleDisplayLabel];
    
    self.descLabel = [[UILabel alloc] init];
    self.descLabel.textColor = YAMTextGrayColor;
    self.descLabel.font = YAMFontMenloWithSize(12);
    [self addSubview:self.descLabel];
}

- (void)configWithSectionItem:(OpenPlatformSession *)section
{
    self.session = section;
    self.titleDisplayLabel.text = section.sessionTitle;
    self.descLabel.text = section.sessionDesc;
    [self setNeedsLayout];
    [self layoutIfNeeded];
}

- (void)layoutSubviews
{
    [super layoutSubviews];
    CGFloat widthArea = self.width;
    
    [self.titleDisplayLabel sizeToFit];
    [self.descLabel sizeToFit];
    
    self.titleDisplayLabel.x = 13.f;
    self.titleDisplayLabel.y = 15.f;
    CGFloat currentMaxY = self.titleDisplayLabel.maxY + 5;
    self.descLabel.y = currentMaxY;
    self.descLabel.x = self.titleDisplayLabel.x;
    
    self.titleDisplayLabel.width = MIN(widthArea, self.titleDisplayLabel.width);
    self.descLabel.width = MIN(widthArea, self.descLabel.width);
}

@end
